# Class SerializeUtils

java.lang.Object
org.apache.zookeeper.server.util.SerializeUtils

public class SerializeUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`SerializeUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`deserializeSnapshot(DataTree dt, InputArchive ia, Map<Long,Integer> sessions)`
`static TxnLogEntry`
`deserializeTxn(byte[] txnBytes)`
`static void`
`serializeSnapshot(DataTree dt, OutputArchive oa, Map<Long,Integer> sessions)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializeUtils

public SerializeUtils()

## Method Details

### deserializeTxn

public static TxnLogEntry deserializeTxn(byte[] txnBytes) throws IOException

Throws:
  `IOException`

### deserializeSnapshot

public static void deserializeSnapshot(DataTree dt, InputArchive ia, Map<Long,Integer> sessions) throws IOException

Throws:
  `IOException`

### serializeSnapshot

public static void serializeSnapshot(DataTree dt, OutputArchive oa, Map<Long,Integer> sessions) throws IOException

Throws:
  `IOException`